Name:		crapto1
Version:	3.2
Release:	1%{?dist}
Summary:	Open implementations of attacks against the crypto1 cipher

Group:		Development/Tools
License:	GPLv2+
URL:		http://code.google.com/p/crapto1/
Source0:	http://crapto1.googlecode.com/files/crapto1-v%{version}.tar.gz
Patch1:		crapto1_cmake_build.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	cmake

%description
Open implementations of attacks against the crypto1 cipher, as used in 
some RFID cards. This code provides library functions which aide in the 
verification of crypto1 weaknesses. 

%package devel
Summary: Development libraries for crapto1
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The crapto1-devel package contains header files necessary for
developing programs using the crapto1 library.

%prep
%setup -q -c
%patch1 -p1
chmod -x readme

%build
%cmake .
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc readme
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Wed May 12 2010 François Kooman - 3.2-1
- initial Fedora package

